Groovy 1.7.0

## groovy.swing.impl
Class TableLayoutRow

    java.lang.Object
      groovy.swing.impl.TableLayoutRow

    class TableLayoutRow
    extends Object

Represents a row in a table layout

author:
  James Strachan

version:
  $Revision: 11298 $

Constructor Summary
`TableLayoutRow(TableLayout tableLayoutTag)`

Method Summary
`void` | `addCell(TableLayoutCell tag)` Adds a new cell to this row
`void` | `addComponentsForRow()`
`int` | `getRowIndex()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### TableLayoutRow

    public TableLayoutRow(TableLayout tableLayoutTag)

Method Detail

### addCell

    public void addCell(TableLayoutCell tag)

  Adds a new cell to this row
  param:
    tag the td element

### addComponentsForRow

    public void addComponentsForRow()

### getRowIndex

    public int getRowIndex()

  return:
    the row index of this row

Copyright © 2003-2009 The Codehaus. All rights reserved.